Subject: Re: Zile as git core editor?

From: Thorsten Jolitz <[email-masked]>
Date: Fri, 26 Apr 2013 18:08:05 +0200

Matthieu Moy <[email-masked]> writes:

> Thorsten Jolitz <[email-masked]> writes:
>
>> BTW - would 'git config --global core.editor zile' or 'git config
>> --global core.editor /usr/bin/zile' the right way to set it (both did
>> not work)? I can start Zile simply with 'zile' on the command line. 
>
> What do you mean by "did not work"? Does the launching fail? Or is
> another editor launched?
>
> Try:
>
> GIT_TRACE=true git commit -a
>
> to see what's going on.
>
> BTW, you may also try "emacs -nw -Q" instead of zile.

Thanks for the tip, I found out that:

1. on the command-line, zile actually works as core editor, but
2. not from within Emacs (Magit) where I tried it

 "emacs -nw -Q" is a nice tip, but I think what I really would like to
 have it that, when I use GNU Emacs Magit and enter a git command 

,-----------------------------
| Run git like this: <command>
`-----------------------------

that calls an editor (e.g. commit --amend), the running Emacs instance
is (re)used and a new buffer is opened for editing (instead of starting
another Emacs instance).

-- 
cheers,
Thorsten